Set-PSUAuthenticationMethod -Type "Form" -ScriptBlock {
param(
    [PSCredential]$Credential
)

$CurrentDomain = $ADLdapPath
$domain = New-Object System.DirectoryServices.DirectoryEntry($CurrentDomain,($Credential.UserName),$Credential.GetNetworkCredential().password)

if ($domain.name -eq $null)
{
    New-PSUAuthenticationResult -ErrorMessage 'Bad username or password'
}
else 
{
    New-PSUAuthenticationResult -Success -UserName ($Credential.UserName)
}
}